
import os
import sys

def SelectMcsFile():
  ttt_files = []
  dir = str(os.environ["TTT_FIRMWARE"])
  for dirname, dirnames, filenames in os.walk(dir):
      for filename in filenames:
          if (filename[-4:] == ".mcs"):
              ttt_files.append(filename)
  tot = 0
  for i in range(len(ttt_files)):
    print str(i+1) + ") " + ttt_files[i]
    tot += 1
  if(tot == 0):
    print "No MCS files found in '../firmware'!"
    print "Quitting"
    sys.exit(0)
  #Select the MCS file
  ok = 0
  print "\nSelect desired MCS file (enter integer)"
  while(ok == 0):
    if(tot == 1):
      k = raw_input("Type '1' to select or '0' for menu: ")
    elif(tot > 1):
      k = raw_input("Type '1-" + str(tot) + "' to select or '0' for menu: ")
    if (k.upper() == "Q" or k.upper() == ".Q" or k.upper() == "QUIT"):
      print "Quitting..."
      sys.exit(0)
    if (k == "0"):
      return ""
    if(len(k) and is_num(k)):
      if int(k) <= len(ttt_files):
        selected_file = dir + str(ttt_files[int(k)-1])
        ok = 1
      else:
        print "Invalid entry. Try again."
    else:
      print "Invalid entry. Try again."
  print selected_file
  return selected_file

#Functions to assist SelectMcsFile()
def is_num(string):
  valid_num = '0123456789'
  for char in string:
    if char not in valid_num:
      return False
  return True
